<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CostoTramites
 *
 * @ORM\Table(name="costo_tramites")
 * @ORM\Entity
 */
class CostoTramites
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cos_tra", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCosTra;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_tra", type="string", length=20, nullable=false)
     */
    private $cveTra;

    /**
     * @var string
     *
     * @ORM\Column(name="des_tra", type="string", length=255, nullable=false)
     */
    private $desTra;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var integer
     *
     * @ORM\Column(name="contador", type="integer", nullable=false)
     */
    private $contador;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;



    /**
     * Get ideCosTra
     *
     * @return integer
     */
    public function getIdeCosTra()
    {
        return $this->ideCosTra;
    }

    /**
     * Set cveTra
     *
     * @param string $cveTra
     *
     * @return CostoTramites
     */
    public function setCveTra($cveTra)
    {
        $this->cveTra = $cveTra;
    
        return $this;
    }

    /**
     * Get cveTra
     *
     * @return string
     */
    public function getCveTra()
    {
        return $this->cveTra;
    }

    /**
     * Set desTra
     *
     * @param string $desTra
     *
     * @return CostoTramites
     */
    public function setDesTra($desTra)
    {
        $this->desTra = $desTra;
    
        return $this;
    }

    /**
     * Get desTra
     *
     * @return string
     */
    public function getDesTra()
    {
        return $this->desTra;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return CostoTramites
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set contador
     *
     * @param integer $contador
     *
     * @return CostoTramites
     */
    public function setContador($contador)
    {
        $this->contador = $contador;
    
        return $this;
    }

    /**
     * Get contador
     *
     * @return integer
     */
    public function getContador()
    {
        return $this->contador;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return CostoTramites
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return CostoTramites
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }
}
